mod repo;

use axum::Router;
use std::path::PathBuf;

#[derive(Clone)]
pub struct Config {
    data_dir: PathBuf,
    repo_dir: PathBuf,
    pkg_dir: PathBuf,
}

#[tokio::main]
async fn main() {
    let config = Config {
        data_dir: "./data".into(),
        repo_dir: "./data/repos".into(),
        pkg_dir: "./data/pkgs".into(),
    };

    // build our application with a single route
    let app = Router::new()
        .merge(repo::router(&config))
        .with_state(config);

    // run it with hyper on localhost:3000
    axum::Server::bind(&"0.0.0.0:3000".parse().unwrap())
        .serve(app.into_make_service())
        .await
        .unwrap();
}
