use std::path::{Path, PathBuf};

/// Overarching abstraction that orchestrates updating the repositories stored on the server
pub struct RepoGroupManager {
    repo_dir: PathBuf,
    pkg_dir: PathBuf,
}

impl RepoGroupManager {
    fn new<P1: AsRef<Path>, P2: AsRef<Path>>(repo_dir: P1, pkg_dir: P2) -> Self {
        RepoGroupManager {
            repo_dir: repo_dir.as_ref().to_path_buf(),
            pkg_dir: pkg_dir.as_ref().to_path_buf(),
        }
    }
}
